## qstylizer 0.2.3

=== requirements.txt ===
tinycss2 >= 0.5, < 2
inflection > 0.3.0, < 1

## qstylizer 0.2.1

=== debian/changelog ===
qstylizer (0.2.1-2) unstable; urgency=medium

  * Fix usage of py3versions

 -- Julian Gilbey <jdg@debian.org>  Thu, 10 Feb 2022 06:40:49 +0000

qstylizer (0.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #1000809)

 -- Julian Gilbey <jdg@debian.org>  Mon, 20 Dec 2021 16:26:15 +0000

=== debian/control ===
Source: qstylizer
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-inflection,
               python3-pbr,
               python3-pytest <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sphinxcontrib.autoprogram <!nodoc>,
               python3-tinycss2
Standards-Version: 4.6.0
Homepage: https://github.com/blambright/qstylizer
Vcs-Git: https://salsa.debian.org/python-team/packages/qstylizer.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/qstylizer
Rules-Requires-Root: no

Package: python3-qstylizer
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-qstylizer-doc
Description: Python package for construction of PyQt/PySide stylesheets
 qstylizer allows for both the construction of new stylesheets and
 the easy modification of existing ones using idiomatic Python code.

Package: python-qstylizer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Recommends: python3-qstylizer
Description: Python package for construction of PyQt/PySide stylesheets (documentation)
 qstylizer allows for both the construction of new stylesheets and
 the easy modification of existing ones using idiomatic Python code.
 .
 This package contains the qstylizer documentation in HTML format.
Build-Profiles: <!nodoc>

## qstylizer 0.2.2

=== debian/changelog ===
qstylizer (0.2.2-2) unstable; urgency=medium

  * Fix package tests for Python 3.12 (closes: #1056516)

 -- Julian Gilbey <jdg@debian.org>  Mon, 11 Dec 2023 11:31:43 +0000

qstylizer (0.2.2-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Wed, 21 Sep 2022 08:51:43 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-sphinxcontrib.autoprogram <!nodoc>,
                python3-tinycss2
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/blambright/qstylizer
 Vcs-Git: https://salsa.debian.org/python-team/packages/qstylizer.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/qstylizer
@@ -34,7 +34,6 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
 Recommends: python3-qstylizer
 Description: Python package for construction of PyQt/PySide stylesheets (documentation)
  qstylizer allows for both the construction of new stylesheets and

=== debian/tests/control ===
Tests: pytest
Depends: python3-all, python3-pytest, python3-pytest-mock, @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/qstylizer-$1\.tar\.gz/ https://github.com/blambright/qstylizer/tags .*/v?(\d\S+)\.tar\.gz

## qstylizer 0.2.3

=== debian/changelog ===
qstylizer (0.2.3-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Wed, 20 Nov 2024 19:39:47 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-sphinxcontrib.autoprogram <!nodoc>,
                python3-tinycss2
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/blambright/qstylizer
 Vcs-Git: https://salsa.debian.org/python-team/packages/qstylizer.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/qstylizer

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=qstylizer

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR) $(MAKE) -C doc SPHINXBUILD=sphinx-build html

execute_after_dh_auto_clean:
	$(MAKE) -C doc SPHINXBUILD=sphinx-build clean

override_dh_installdocs:
	dh_installdocs -ppython-qstylizer-doc --doc-main-package=python3-qstylizer
	dh_installdocs --remaining-packages

else
%:
	dh $@ --buildsystem=pybuild
endif

override_dh_auto_test:
	dh_auto_test -O--buildsystem=pybuild -- --test-pytest --test-args test

## qstylizer 0.2.4

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = qstylizer
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
qstylizer (0.2.4-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Tue, 01 Apr 2025 12:10:27 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-sphinxcontrib.autoprogram <!nodoc>,
                python3-tinycss2
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/blambright/qstylizer
 Vcs-Git: https://salsa.debian.org/python-team/packages/qstylizer.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/qstylizer
